SystemOrganization addCategory: #'CLBG-Compatibility'!

OstObject subclass: #BGOmniFacory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CLBG-Compatibility'!

BGOmniFacory subclass: #BGRepeatStreamFactory
	instanceVariableNames: 'clsInstance'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CLBG-Compatibility'!

BGRepeatStreamFactory subclass: #BGRandomStreamFactory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CLBG-Compatibility'!

!BGRandomStreamFactory methodsFor: 'initialization' stamp: 'StefanMarr 7/18/2012 22:34'!
initialize
	super initialize.
	(Smalltalk hasClassNamed: #OstBGRandomStream)
		ifTrue:  [clsInstance := Smalltalk at: #OstBGRandomStream]
		ifFalse: [clsInstance := BGRandomStream].
	! !

!BGRepeatStreamFactory methodsFor: 'initialization' stamp: 'StefanMarr 7/18/2012 22:35'!
initialize
	super initialize.
	(Smalltalk hasClassNamed: #OstBGRepeatStream)
		ifTrue:  [clsInstance := Smalltalk at: #OstBGRepeatStream]
		ifFalse: [clsInstance := BGRepeatStream].! !

!BGRepeatStreamFactory methodsFor: 'instance creation' stamp: 'StefanMarr 1/4/2012 12:48'!
to: anInteger on: aCollection
	^ clsInstance to: anInteger on: aCollection! !

BGOmniFacory subclass: #BGTreeNodeFactory
	instanceVariableNames: 'clsInstance'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CLBG-Compatibility'!

!BGTreeNodeFactory methodsFor: 'instance creation' stamp: 'StefanMarr 1/4/2012 15:10'!
bottomUpTree: anItem depth: anInteger
	^ clsInstance bottomUpTree: anItem depth: anInteger.! !

!BGTreeNodeFactory methodsFor: 'initialization' stamp: 'StefanMarr 1/15/2012 22:08'!
initialize
	super initialize.
	
	(Smalltalk hasClassNamed: #OstBGTreeNode)
		ifTrue:  [clsInstance := Smalltalk at: #OstBGTreeNode]
		ifFalse: [clsInstance := BGTreeNode].
	
	! !
